const modules = {
    react: {
        name: "React",
        exports: [
            "Children",
            "Component",
            "Fragment",
            "Profiler",
            "PureComponent",
            "StrictMode",
            "Suspense",
            "__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED",
            "cloneElement",
            "createContext",
            "createElement",
            "createFactory",
            "createRef",
            "forwardRef",
            "isValidElement",
            "lazy",
            "memo",
            "startTransition",
            "unstable_act",
            "useCallback",
            "useContext",
            "useDebugValue",
            "useDeferredValue",
            "useEffect",
            "useId",
            "useImperativeHandle",
            "useInsertionEffect",
            "useLayoutEffect",
            "useMemo",
            "useReducer",
            "useRef",
            "useState",
            "useSyncExternalStore",
            "useTransition",
            "version",
        ],
        hasDefault: false,
    },
    "react/jsx-runtime": {
        name: "jsxRuntime",
        exports: ["Fragment", "jsx", "jsxs"],
        hasDefault: false,
    },
    "react-dom": {
        name: "ReactDOM",
        exports: [
            "__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED",
            "createPortal",
            "createRoot",
            "findDOMNode",
            "flushSync",
            "hydrate",
            "hydrateRoot",
            "render",
            "unmountComponentAtNode",
            "unstable_batchedUpdates",
            "unstable_renderSubtreeIntoContainer",
            "version",
        ],
        hasDefault: false,
    },
    "react-is": {
        name: "ReactIs",
        exports: [
            "ContextConsumer",
            "ContextProvider",
            "Element",
            "ForwardRef",
            "Fragment",
            "Lazy",
            "Memo",
            "Portal",
            "Profiler",
            "StrictMode",
            "Suspense",
            "SuspenseList",
            "isAsyncMode",
            "isConcurrentMode",
            "isContextConsumer",
            "isContextProvider",
            "isElement",
            "isForwardRef",
            "isFragment",
            "isLazy",
            "isMemo",
            "isPortal",
            "isProfiler",
            "isStrictMode",
            "isSuspense",
            "isSuspenseList",
            "isValidElementType",
            "typeOf",
        ],
        hasDefault: false,
    },
    "prop-types": {
        name: "PropTypes",
        exports: [
            "array",
            "bigint",
            "bool",
            "func",
            "number",
            "object",
            "string",
            "symbol",
            "any",
            "arrayOf",
            "element",
            "elementType",
            "instanceOf",
            "node",
            "objectOf",
            "oneOf",
            "oneOfType",
            "shape",
            "exact",
            "checkPropTypes",
            "resetWarningCache",
        ],
        hasDefault: false,
    },
    formik: {
        name: "formik",
        exports: [
            "ErrorMessage",
            "FastField",
            "Field",
            "FieldArray",
            "Form",
            "Formik",
            "FormikConsumer",
            "FormikContext",
            "FormikProvider",
            "connect",
            "getActiveElement",
            "getIn",
            "insert",
            "isEmptyArray",
            "isEmptyChildren",
            "isFunction",
            "isInputEvent",
            "isInteger",
            "isNaN",
            "isObject",
            "isPromise",
            "isString",
            "move",
            "prepareDataForValidation",
            "replace",
            "setIn",
            "setNestedObjectValues",
            "swap",
            "useField",
            "useFormik",
            "useFormikContext",
            "validateYupSchema",
            "withFormik",
            "yupToFormErrors",
        ],
        hasDefault: false,
    },
    "@emotion/styled": {
        name: "emotionStyled",
        exports: [
            "a",
            "abbr",
            "address",
            "area",
            "article",
            "aside",
            "audio",
            "b",
            "base",
            "bdi",
            "bdo",
            "big",
            "blockquote",
            "body",
            "br",
            "button",
            "canvas",
            "caption",
            "cite",
            "code",
            "col",
            "colgroup",
            "data",
            "datalist",
            "dd",
            "del",
            "details",
            "dfn",
            "dialog",
            "div",
            "dl",
            "dt",
            "em",
            "embed",
            "fieldset",
            "figcaption",
            "figure",
            "footer",
            "form",
            "h1",
            "h2",
            "h3",
            "h4",
            "h5",
            "h6",
            "head",
            "header",
            "hgroup",
            "hr",
            "html",
            "i",
            "iframe",
            "img",
            "input",
            "ins",
            "kbd",
            "keygen",
            "label",
            "legend",
            "li",
            "link",
            "main",
            "map",
            "mark",
            "marquee",
            "menu",
            "menuitem",
            "meta",
            "meter",
            "nav",
            "noscript",
            "object",
            "ol",
            "optgroup",
            "option",
            "output",
            "p",
            "param",
            "picture",
            "pre",
            "progress",
            "q",
            "rp",
            "rt",
            "ruby",
            "s",
            "samp",
            "script",
            "section",
            "select",
            "small",
            "source",
            "span",
            "strong",
            "style",
            "sub",
            "summary",
            "sup",
            "table",
            "tbody",
            "td",
            "textarea",
            "tfoot",
            "th",
            "thead",
            "time",
            "title",
            "tr",
            "track",
            "u",
            "ul",
            "var",
            "video",
            "wbr",
            "circle",
            "clipPath",
            "defs",
            "ellipse",
            "foreignObject",
            "g",
            "image",
            "line",
            "linearGradient",
            "mask",
            "path",
            "pattern",
            "polygon",
            "polyline",
            "radialGradient",
            "rect",
            "stop",
            "svg",
            "text",
            "tspan",
        ],
        hasDefault: false,
    },
    "@emotion/react": {
        name: "emotionReact",
        exports: [
            "CacheProvider",
            "ClassNames",
            "Global",
            "ThemeContext",
            "ThemeProvider",
            "__unsafe_useEmotionCache",
            "createElement",
            "css",
            "jsx",
            "keyframes",
            "useTheme",
            "withEmotionCache",
            "withTheme",
        ],
        hasDefault: false,
    },
    "@mui/utils": {
        name: "muiUtils",
        exports: [
            "HTMLElementType",
            "chainPropTypes",
            "deepmerge",
            "elementAcceptingRef",
            "elementTypeAcceptingRef",
            "exactProp",
            "formatMuiErrorMessage",
            "getDisplayName",
            "integerPropType",
            "internal_resolveProps",
            "isPlainObject",
            "ponyfillGlobal",
            "refType",
            "unstable_ClassNameGenerator",
            "unstable_capitalize",
            "unstable_composeClasses",
            "unstable_createChainedFunction",
            "unstable_debounce",
            "unstable_deprecatedPropType",
            "unstable_detectScrollType",
            "unstable_generateUtilityClass",
            "unstable_generateUtilityClasses",
            "unstable_getNormalizedScrollLeft",
            "unstable_getScrollbarSize",
            "unstable_isMuiElement",
            "unstable_ownerDocument",
            "unstable_ownerWindow",
            "unstable_requirePropFactory",
            "unstable_setRef",
            "unstable_unsupportedProp",
            "unstable_useControlled",
            "unstable_useEnhancedEffect",
            "unstable_useEventCallback",
            "unstable_useForkRef",
            "unstable_useId",
            "unstable_useIsFocusVisible",
            "usePreviousProps",
            "visuallyHidden",
        ],
        hasDefault: false,
    },
    "@mui/material/utils": {
        name: "muiMaterialUtils",
        exports: [
            "capitalize",
            "createChainedFunction",
            "createSvgIcon",
            "debounce",
            "deprecatedPropType",
            "isMuiElement",
            "ownerDocument",
            "ownerWindow",
            "requirePropFactory",
            "setRef",
            "unstable_ClassNameGenerator",
            "unstable_useEnhancedEffect",
            "unstable_useId",
            "unsupportedProp",
            "useControlled",
            "useEventCallback",
            "useForkRef",
            "useIsFocusVisible",
        ],
        hasDefault: false,
    },
    "react-map-gl": {
        name: "ReactMapGL",
        exports: [
            "AttributionControl",
            "FullscreenControl",
            "GeolocateControl",
            "Layer",
            "Map",
            "MapProvider",
            "Marker",
            "NavigationControl",
            "Popup",
            "ScaleControl",
            "Source",
            "useControl",
            "useMap",
        ],
        hasDefault: true,
    },
    "@mapbox/mapbox-gl-draw": {
        name: "MapboxDraw",
        exports: ["modes", "constants", "lib"],
        hasDefault: false,
    },
    "@mui/material": {
        name: "muiMaterial",
        exports: [
            "Accordion",
            "AccordionDetails",
            "AccordionSummary",
            "Alert",
            "AlertTitle",
            "AppBar",
            "Autocomplete",
            "Badge",
            "BottomNavigation",
            "BottomNavigationAction",
            "Box",
            "Breadcrumbs",
            "Button",
            "ButtonBase",
            "Card",
            "CardContent",
            "Checkbox",
            "Chip",
            "CircularProgress",
            "Collapse",
            "CssBaseline",
            "Dialog",
            "DialogActions",
            "DialogContent",
            "DialogTitle",
            "Divider",
            "Drawer",
            "Fab",
            "FormControl",
            "FormControlLabel",
            "FormGroup",
            "FormHelperText",
            "FormLabel",
            "Grid",
            "Hidden",
            "Icon",
            "IconButton",
            "ImageList",
            "ImageListItem",
            "ImageListItemBar",
            "InputLabel",
            "LinearProgress",
            "Link",
            "List",
            "ListItem",
            "ListItemIcon",
            "ListItemSecondaryAction",
            "ListItemText",
            "ListSubheader",
            "Menu",
            "MenuItem",
            "Modal",
            "Paper",
            "Radio",
            "Select",
            "SvgIcon",
            "Switch",
            "Tab",
            "Table",
            "TableBody",
            "TableCell",
            "TableContainer",
            "TableHead",
            "TablePagination",
            "TableRow",
            "Tabs",
            "TextField",
            "ThemeProvider",
            "ToggleButton",
            "ToggleButtonGroup",
            "Toolbar",
            "Typography",
            "createTheme",
            "useMediaQuery",
        ],
        hasDefault: false,
    },
    "@wq/app": {
        name: "app",
        exports: [
            "OFFLINE",
            "FAILURE",
            "ERROR",
            "user",
            "csrftoken",
            "plugins",
            "init",
            "use",
            "start",
            "retryAll",
            "emptyOutbox",
            "confirmSubmit",
            "postSaveNav",
            "postsaveurl",
            "getParents",
            "nav",
            "refresh",
            "hasPlugin",
            "callPlugins",
            "splitRoute",
            "_addOutboxItemsToContext",
            "isRegistered",
            "submitForm",
            "getAuthState",
            "orm",
            "renderer",
        ],
        hasDefault: false,
    },
    "@wq/react": {
        name: "react",
        exports: [
            "App",
            "AppContext",
            "AutoForm",
            "AutoInput",
            "AutoSubform",
            "AutoSubformArray",
            "DebugContext",
            "Default",
            "DefaultDetail",
            "DefaultEdit",
            "DefaultList",
            "FileLink",
            "ForeignKey",
            "ForeignKeyLink",
            "Form",
            "FormError",
            "ImagePreview",
            "Index",
            "Link",
            "Loading",
            "Login",
            "Logout",
            "ManyToManyLink",
            "Message",
            "NavMenu",
            "NotFound",
            "OutboxList",
            "PropertyTable",
            "RelatedLinks",
            "RouteContext",
            "Server",
            "autoFormData",
            "getPageRoute",
            "getPageSection",
            "orderSort",
            "showInIndex",
            "toNavAction",
            "useApp",
            "useBreadcrumbs",
            "useComponents",
            "useConfig",
            "useContextTitle",
            "useCurrentRoute",
            "useHtmlInput",
            "useIcon",
            "useIconComponents",
            "useIndexRoute",
            "useInputComponents",
            "useList",
            "useMessages",
            "useModel",
            "useNav",
            "useNavAction",
            "useOutbox",
            "usePlugin",
            "usePluginComponentMap",
            "usePluginContent",
            "usePluginReducer",
            "usePluginState",
            "useRenderContext",
            "useReverse",
            "useRouteInfo",
            "useRouteTitle",
            "useRoutesMap",
            "useSiteTitle",
            "useSitemap",
            "useSpinner",
            "useUnsynced",
            "useValidate",
            "useViewComponents",
        ],
        hasDefault: true,
    },
    "@wq/material": {
        name: "material",
        exports: [
            "Accordion",
            "App",
            "BottomNavigation",
            "BottomNavigationAction",
            "Breadcrumbs",
            "Button",
            "ButtonLink",
            "CancelButton",
            "Checkbox",
            "CheckboxButton",
            "Chip",
            "Container",
            "Date",
            "DateTime",
            "DeleteForm",
            "Divider",
            "ExpandableListItem",
            "ExpansionPanel",
            "Fab",
            "Fieldset",
            "FieldsetArray",
            "File",
            "FileArray",
            "FlatFieldset",
            "Footer",
            "FooterContent",
            "FormError",
            "FormRoot",
            "FormatJson",
            "Header",
            "HelperText",
            "Hidden",
            "HomeLink",
            "HorizontalView",
            "IconButton",
            "IconSubmitButton",
            "Image",
            "Input",
            "Link",
            "List",
            "ListItem",
            "ListItemLink",
            "ListSubheader",
            "Main",
            "NavMenuFixed",
            "NavMenuPopup",
            "Pagination",
            "Popup",
            "Radio",
            "RadioButton",
            "ScrollView",
            "Select",
            "SidePanel",
            "Spinner",
            "SubmitButton",
            "Switch",
            "TabGroup",
            "TabItem",
            "Table",
            "TableBody",
            "TableCell",
            "TableContainer",
            "TableHead",
            "TablePagination",
            "TableRow",
            "TableTitle",
            "Text",
            "Time",
            "Toggle",
            "Typography",
            "View",
            "dateTime",
            "format",
            "parse",
            "useMinWidth",
        ],
        hasDefault: true,
    },
    "@wq/map": {
        name: "map",
        exports: [
            "AutoBasemap",
            "AutoMap",
            "AutoOverlay",
            "DefaultDetail",
            "DefaultList",
            "DefaultPopup",
            "Geo",
            "GeoCode",
            "GeoCoords",
            "GeoHelp",
            "GeoLocate",
            "GeoTools",
            "HighlightContent",
            "HighlightPopup",
            "Legend",
            "LegendIcon",
            "MapToolbar",
            "PropertyTable",
            "asFeatureCollection",
            "asGeometry",
            "computeBounds",
            "useBasemapComponents",
            "useFeatureCollection",
            "useFeatureUrl",
            "useFeatureValues",
            "useGeoJSON",
            "useGeoTools",
            "useGeolocation",
            "useGeometry",
            "useMapInstance",
            "useMapState",
            "useOverlayComponents",
            "useStyleProp",
        ],
        hasDefault: true,
    },
    "@wq/map-gl": {
        name: "mapgl",
        exports: [
            "Accuracy",
            "Draw",
            "GeoHelpIcon",
            "Geojson",
            "Highlight",
            "HighlightPopup",
            "Map",
            "MapAutoZoom",
            "MapIdentify",
            "MapInteraction",
            "MapProvider",
            "Tile",
            "TileOverlay",
            "VectorTile",
            "VectorTileOverlay",
            "useMapInstance",
        ],
        hasDefault: true,
    },
};
export default modules;
